6013: Get phone number description

6013: Get phone number description

Validate phone number and return the localized country name that the number is from

Endpoint ID:

6013

Method:

GET

URL:

/services/phonenumber/describe/{phoneNumber}/{locale}?countryCode={countryCode}&countryCodeFormat={countryCodeFormat}

 

phoneNumber

Valid examples

  • +4529254029

  • 29254029 (valid only if country code is specified)

 

 locale

Desired language

Valid values are

  • English

  • German

  • French

  • Italian

  • Korean

  • SimplifiedChinese

 

countryCode

Optional value to identify country of phoneNumber.

 

countryCodeFormat 

Optional value to identify countryCode format.

Valid values are

  • ISO2 (ISO 3166-1 alpha-2 – two letter country codes)

  • ISO3 (ISO 3166-1 alpha-3 – three letter country codes)

  • ISON (ISO 3166-1 numeric – three digit country codes)

  • Internet (top level domain names on web)

  • Rubiq (internal RubiqSoft format)

Request body:

None

JSON data with information of formatted phone number 

 

Example – Description for +4529254029 in English
{ "country": "Denmark" }

   

Status codes:

200

Phone number is formatted successfully.

 

400

The following sub codes may be returned:

 

400.1

Invalid phone number.

400.2

Phone number must be in E164 format if country code is not specified.

400.3

Invalid country code format.

400.4 

Invalid country code.

400.5

Invalid language.